VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Content::Library::PublishInfo Class Reference
Inheritance diagram for Com::Vmware::Content::Library::PublishInfo:

## Classes
class | AuthenticationMethod

## Avaliable Methods
public method | get_persist_json_enabled ()
public method | set_authentication_method ()
public method | set_user_name ()
public method | set_password ()
public method | set_publish_url ()
public method | get_publish_url ()
public method | get_user_name ()
public method | get_password ()
public method | get_authentication_method ()
public method | set_published ()
public method | set_persist_json_enabled ()
public method | new ()
public method | get_published ()

## Detailed Description

The `Com::Vmware::Content::Library::PublishInfo` class defines how a local library is published publicly for synchronization to other libraries.

## Member Function Documentation

public method Com::Vmware::Content::Library::PublishInfo::get_authentication_method | ( |  | ) |

Gets the value of 'authentication_method' property.

Return values

  authentication_method | - The current value of the field. Indicates how a subscribed library should authenticate (BASIC, NONE) to the published library endpoint. optional#

Code:
click to view
# Number of lines of code in get_authentication_method: 4
sub get_authentication_method {
my ($self, %args) = @_;
return $self->{'authentication_method'};
}

public method Com::Vmware::Content::Library::PublishInfo::get_password | ( |  | ) |

Gets the value of 'password' property.

Return values

  password | - The current value of the field. The password to require for authentication. optional#

Code:
click to view
# Number of lines of code in get_password: 4
sub get_password {
my ($self, %args) = @_;
return $self->{'password'};
}

public method Com::Vmware::Content::Library::PublishInfo::get_persist_json_enabled | ( |  | ) |

Gets the value of 'persist_json_enabled' property.

Return values

  persist_json_enabled | - The current value of the field. Whether library and library item metadata are persisted in the storage backing as JSON files. This flag only applies if the local library is published.

Enabling JSON persistence allows you to synchronize a subscribed library manually instead of over HTTP. You copy the local library content and metadata to another storage backing manually and then create a subscribed library referencing the location of the library JSON file in the :attr:`Com::Vmware::Content::Library::SubscriptionInfo.subscription_url` . When the subscribed library's storage backing matches the subscription URL, files do not need to be copied to the subscribed library.

For a library backed by a datastore, the library JSON file will be stored at the path contentlib-{library_id}/lib.json on the datastore.

For a library backed by a remote file system, the library JSON file will be stored at {library_id}/lib.json in the remote file system path.

optional#

Code:
click to view
# Number of lines of code in get_persist_json_enabled: 4
sub get_persist_json_enabled {
my ($self, %args) = @_;
return $self->{'persist_json_enabled'};
}

public method Com::Vmware::Content::Library::PublishInfo::get_publish_url | ( |  | ) |

Gets the value of 'publish_url' property.

Return values

  publish_url | - The current value of the field. The URL to which the library metadata is published by the Content Library Service.

This value can be used to set the :attr:`Com::Vmware::Content::Library::SubscriptionInfo.subscription_url` property when creating a subscribed library.

optional#

Code:
click to view
# Number of lines of code in get_publish_url: 4
sub get_publish_url {
my ($self, %args) = @_;
return $self->{'publish_url'};
}

public method Com::Vmware::Content::Library::PublishInfo::get_published | ( |  | ) |

Gets the value of 'published' property.

Return values

  published | - The current value of the field. Whether the local library is published. optional#

Code:
click to view
# Number of lines of code in get_published: 4
sub get_published {
my ($self, %args) = @_;
return $self->{'published'};
}

public method Com::Vmware::Content::Library::PublishInfo::get_user_name | ( |  | ) |

Gets the value of 'user_name' property.

Return values

  user_name | - The current value of the field. The username to require for authentication. optional#

Code:
click to view
# Number of lines of code in get_user_name: 4
sub get_user_name {
my ($self, %args) = @_;
return $self->{'user_name'};
}

public method Com::Vmware::Content::Library::PublishInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Content::Library::PublishInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 26
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{authentication_method} = $args{'authentication_method'};
$self->{published} = $args{'published'};
$self->{publish_url} = $args{'publish_url'};
$self->{user_name} = $args{'user_name'};
$self->{password} = $args{'password'};
$self->{persist_json_enabled} = $args{'persist_json_enabled'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Content::Library::PublishInfo');
$self->set_binding_name('name' => 'com.vmware.content.library.publish_info');
$self->set_binding_field('key' => 'authentication_method', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Content::Library', 'type_name' => 'PublishInfo::AuthenticationMethod')));
$self->set_binding_field('key' => 'published', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::BooleanType()));
$self->set_binding_field('key' => 'publish_url', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::URIType()));
$self->set_binding_field('key' => 'user_name', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'password', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::SecretType()));
$self->set_binding_field('key' => 'persist_json_enabled', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::BooleanType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Content::Library::PublishInfo::set_authentication_method | ( |  | ) |

Sets the given value for 'authentication_method' property.

Parameters

  authentication_method | - New value for the field. Indicates how a subscribed library should authenticate (BASIC, NONE) to the published library endpoint.

Code:
click to view
# Number of lines of code in set_authentication_method: 5
sub set_authentication_method {
my ($self, %args) = @_;
$self->{'authentication_method'} = $args{'authentication_method'};
return;
}

public method Com::Vmware::Content::Library::PublishInfo::set_password | ( |  | ) |

Sets the given value for 'password' property.

Parameters

  password | - New value for the field. The password to require for authentication.

Code:
click to view
# Number of lines of code in set_password: 5
sub set_password {
my ($self, %args) = @_;
$self->{'password'} = $args{'password'};
return;
}

public method Com::Vmware::Content::Library::PublishInfo::set_persist_json_enabled | ( |  | ) |

Sets the given value for 'persist_json_enabled' property.

Parameters

  persist_json_enabled | - New value for the field. Whether library and library item metadata are persisted in the storage backing as JSON files. This flag only applies if the local library is published.

Enabling JSON persistence allows you to synchronize a subscribed library manually instead of over HTTP. You copy the local library content and metadata to another storage backing manually and then create a subscribed library referencing the location of the library JSON file in the :attr:`Com::Vmware::Content::Library::SubscriptionInfo.subscription_url` . When the subscribed library's storage backing matches the subscription URL, files do not need to be copied to the subscribed library.

For a library backed by a datastore, the library JSON file will be stored at the path contentlib-{library_id}/lib.json on the datastore.

For a library backed by a remote file system, the library JSON file will be stored at {library_id}/lib.json in the remote file system path.

Code:
click to view
# Number of lines of code in set_persist_json_enabled: 5
sub set_persist_json_enabled {
my ($self, %args) = @_;
$self->{'persist_json_enabled'} = $args{'persist_json_enabled'};
return;
}

public method Com::Vmware::Content::Library::PublishInfo::set_publish_url | ( |  | ) |

Sets the given value for 'publish_url' property.

Parameters

  publish_url | - New value for the field. The URL to which the library metadata is published by the Content Library Service.

This value can be used to set the :attr:`Com::Vmware::Content::Library::SubscriptionInfo.subscription_url` property when creating a subscribed library.

Code:
click to view
# Number of lines of code in set_publish_url: 5
sub set_publish_url {
my ($self, %args) = @_;
$self->{'publish_url'} = $args{'publish_url'};
return;
}

public method Com::Vmware::Content::Library::PublishInfo::set_published | ( |  | ) |

Sets the given value for 'published' property.

Parameters

  published | - New value for the field. Whether the local library is published.

Code:
click to view
# Number of lines of code in set_published: 5
sub set_published {
my ($self, %args) = @_;
$self->{'published'} = $args{'published'};
return;
}

public method Com::Vmware::Content::Library::PublishInfo::set_user_name | ( |  | ) |

Sets the given value for 'user_name' property.

Parameters

  user_name | - New value for the field. The username to require for authentication.

Code:
click to view
# Number of lines of code in set_user_name: 5
sub set_user_name {
my ($self, %args) = @_;
$self->{'user_name'} = $args{'user_name'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Content/Library/PublishInfo.pm